Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class RecordAction

java.lang.Object
ru.bitel.bgbilling.kernel.bgsecure.common.bean.RecordAction

public class RecordAction extends Object
Описание действия пользователя, которое было записано в результате записи действий

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RecordAction()`
  `RecordAction(String moduleId, String description, String operation, String service, String actionId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getActionId()`
  `String`
  `getDescription()`
  `String`
  `getModuleId()`
  `String`
  `getOperation()`
  `String`
  `getService()`
  `int`
  `hashCode()`
  `void`
  `setActionId(String actionId)`
  `void`
  `setDescription(String description)`
  `void`
  `setModuleId(String moduleId)`
  `void`
  `setOperation(String operation)`
  `void`
  `setService(String service)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RecordAction

    public RecordAction()

  - ### RecordAction

    public RecordAction(String moduleId, String description, String operation, String service, String actionId)

- ## Method Details

  - ### getModuleId

    public String getModuleId()

  - ### setModuleId

    public void setModuleId(String moduleId)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getOperation

    public String getOperation()

  - ### setOperation

    public void setOperation(String operation)

  - ### getService

    public String getService()

  - ### setService

    public void setService(String service)

  - ### getActionId

    public String getActionId()

  - ### setActionId

    public void setActionId(String actionId)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`